function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	local object = play_field:GetObject('altar_inventory_active_zone');
	inventory_altar = CreateInventory(object:GetX(),
                                        object:GetY(),
                                        object:GetZ() + 10,
                                        "altar_inventory_active_zone",
                                        CreateItem('triangle_tool', 'triangle_scaled'),
                                        CreateItem('circle1_tool', 'circle1'),
                                        CreateItem('circle2_tool', 'circle2'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_32_1");
	
	inventory_altar.state_changer = 'OnAltarComplete'
	
	inventory_altar.OnComplete = function()
		--PlaySound('32_TriangleOpen')
		local snd = CreateSoundEntity('32_TriangleOpen')
		snd:AttachTo(play_field)
		snd:Play(false)
		play_field:GetObject('altar_inventory_active_zone'):ChangeOpacity(1, 0, 0.3)
		play_field:GetObject('otkr'):GetAnimation():Play()
		play_field:GetObject('otkr'):SetOpacity(1)
		local delay = GetAnimationLength(play_field:GetObject('otkr'):GetAnimation())
		TimerDo(play_field:GetTimer(), delay, RegisterZoomZone, zoom_altar, 'altar_zoom_active_zone')
		--RegisterZoomZone(zoom_altar, 'altar_zoom_active_zone')
	end
	
	CreateTool('triangle', 'triangle_scaled')
	CreateTool('circle1', 'circle1')
	CreateTool('circle2', 'circle2')
	
	zoom_altar = CreateZoomZone('close_zone_altar',
							  '',
							  'zoom_back',
							  'sign')
							  
	level:AddTaskSafe(CreateTask('SIGN', '', 'sign'))
	AddRandomTasks(17,
               CreateTask('BOOK', '', 'book'),
               CreateTask('BRUSH', '', 'brush'),
               CreateTask('BUBBLE', '', 'bubble'),
               CreateTask('BUG', '', 'bug'),
               CreateTask('CANDELABRUM', '', 'candelabrum'),
               CreateTask('FEATHER', '', 'feather'),
               CreateTask('FLOWERS', '', 'flowers'),
               CreateTask('GLASSES', '', 'glasses'),
               CreateTask('GRAMOPHONE', '', 'gramophone'),
               CreateTask('HAT', '', 'hat'),
               CreateTask('HOURGLASS', '', 'hourglass'),
               CreateTask('NOTEBOOK', '', 'notepad'),
               CreateTask('SCROLL', '', 'scroll'),
               CreateTask('SHIP', '', 'ship'),
               CreateTask('SKELETON', '', 'skeleton'),
               --CreateTask('STATUE', '', 'statue'),
               CreateTask('TOWEL', '', 'towel'),
               CreateTask('VASE', '', 'vase'),
               CreateTask('PURSE', '', 'wallet')
	)
	
	InitChain1(screen)
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
	
	InitChain2(screen)
	InitChain3(screen)
	game_state.chain3.final = true
	AddSheriffEyeLogic()
	
	local lights = {}
	table.insert(lights, 'lev luch')
	table.insert(lights, 'lev luch1')
	table.insert(lights, 'prav luch')
	table.insert(lights, 'prav luch1')
	
	for i, v in ipairs(lights) do
		play_field:IgnoreOnTestPoint(v)
	end	
	
	local af = CreateAnimationEffector()
	af:SetMode(_ANIM_PINGPONG + _ANIM_LOOP)
	af:AttachTo(play_field:GetObject('lev luch'));
	af:SetKey(_TRACK_O, 0, 0)
	af:SetKey(_TRACK_O, 2, 1)
	af:Play()
	
	local af = CreateAnimationEffector()
	af:SetMode(_ANIM_PINGPONG + _ANIM_LOOP)
	af:AttachTo(play_field:GetObject('lev luch1'));
	af:SetKey(_TRACK_O, 0, 1)
	af:SetKey(_TRACK_O, 2, 0)
	af:Play()
	
	local af = CreateAnimationEffector()
	af:SetMode(_ANIM_PINGPONG + _ANIM_LOOP)
	af:AttachTo(play_field:GetObject('prav luch'));
	af:SetKey(_TRACK_O, 0, 0)
	af:SetKey(_TRACK_O, 2, 1)
	af:Play()
	
	local af = CreateAnimationEffector()
	af:SetMode(_ANIM_PINGPONG + _ANIM_LOOP)
	af:AttachTo(play_field:GetObject('prav luch1'));
	af:SetKey(_TRACK_O, 0, 1)
	af:SetKey(_TRACK_O, 2, 0)
	af:Play()
	
	play_field:IgnoreOnTestPoint('otkr')
	play_field:GetObject('otkr'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	play_field:GetObject('otkr'):GetAnimation():Stop()
	play_field:GetObject('otkr'):SetOpacity(0)
	
	pf:RegisterObjectSilhouette('book', 'bookNS')
	pf:RegisterObjectSilhouette('brush', 'brushNS')
	pf:RegisterObjectSilhouette('gramophone', 'gramophoneNS')
	pf:RegisterObjectSilhouette('hourglass', 'hourglassNS')
	pf:RegisterObjectSilhouette('statue', 'statueNS')
	pf:RegisterObjectSilhouette('towel', 'towelNS')
	game_state.meta_object = 'cigar32'
	
	game_state.OnStartingComicsComplete = function()
		inventory_altar.Unlock()
	end
	
	game_state.OnAltarComplete = function()
		play_field:GetObject('altar_inventory_active_zone'):SetOpacity(0)
		local anim = play_field:GetObject('otkr'):GetAnimation()
		anim:SetFrame(anim:GetFrames() - 1)				
		play_field:GetObject('otkr'):SetOpacity(1)
		RegisterZoomZone(zoom_altar, 'altar_zoom_active_zone')
	end
end

function OnMinigameCompleted()
end

function InitChain1(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');    
	
	comics1.OnHidden = function()
		inventory_altar.Unlock()		
		comics1.DefaultOnHidden()
	end
    
    game_state.chain1 = CreateChain('pixel_comics_1',
                                    screen,
                                    comics1, GetString("COMICS_32_1"));
end

function InitChain2(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
        
    game_state.chain2 = CreateChain('pixel_comics_2',
                                    screen,
                                    comics1, GetString("COMICS_32_2"));
end

function InitChain3(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes'); 
    comics1.OnHidden = function()		
		OnWin()
	end     
    
    game_state.chain3 = CreateChain('pixel_comics_3',
                                    screen,
                                    comics1, GetString("COMICS_32_3"));
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
	game_state.chain3.Start()
end

function OnUpdate(dt)
end

function OnScreenShown()
	game_state.chain1.Start()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
	if object:GetName() == 'sign' then
        zoom_altar.SetVisible(false)        
        game_state.locker:Release()
		UnregisterZoomZone(zoom_altar)
    end
end

function OnObjectWasFound(object)
    if object:GetName() == 'sign' then
        game_state.chain2.Start()
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Layers/BG.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/book.png',0,0,39,43,1,0)
	anim:SetHotSpot(19,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('book',anim,345,515,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/brush.png',0,0,57,33,1,0)
	anim:SetHotSpot(28,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,442,743,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/bubble.png',0,0,63,63,1,0)
	anim:SetHotSpot(31,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bubble',anim,852,33,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/bug.png',0,0,27,37,1,0)
	anim:SetHotSpot(13,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bug',anim,842,750,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/candelabrum.png',0,0,55,71,1,0)
	anim:SetHotSpot(27,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candelabrum',anim,750,242,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/circle1.png',0,0,42,29,1,0)
	anim:SetHotSpot(21,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('circle1',anim,376,286,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/circle2.png',0,0,59,32,1,0)
	anim:SetHotSpot(29,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('circle2',anim,269,743,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/feather.png',0,0,39,24,1,0)
	anim:SetHotSpot(19,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('feather',anim,741,558,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/flowers.png',0,0,47,53,1,0)
	anim:SetHotSpot(23,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flowers',anim,380,358,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/glasses.png',0,0,47,30,1,0)
	anim:SetHotSpot(23,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,695,696,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/gramophone.png',0,0,50,58,1,0)
	anim:SetHotSpot(25,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gramophone',anim,412,444,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/hat.png',0,0,37,37,1,0)
	anim:SetHotSpot(18,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat',anim,481,460,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/hourglass.png',0,0,45,48,1,0)
	anim:SetHotSpot(22,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglass',anim,441,547,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/notepad.png',0,0,61,34,1,0)
	anim:SetHotSpot(30,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('notepad',anim,318,744,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/skeleton.png',0,0,52,80,1,0)
	anim:SetHotSpot(26,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skeleton',anim,501,299,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/scroll.png',0,0,109,42,1,0)
	anim:SetHotSpot(54,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scroll',anim,324,685,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/ship.png',0,0,94,85,1,0)
	anim:SetHotSpot(47,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ship',anim,262,237,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/statue.png',0,0,62,85,1,0)
	anim:SetHotSpot(31,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('statue',anim,862,522,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/towel.png',0,0,105,123,1,0)
	anim:SetHotSpot(52,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('towel',anim,961,128,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/triangle.png',0,0,52,45,1,0)
	anim:SetHotSpot(26,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('triangle',anim,886,342,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/vase.png',0,0,61,57,1,0)
	anim:SetHotSpot(30,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vase',anim,607,434,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/wallet.png',0,0,52,40,1,0)
	anim:SetHotSpot(26,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wallet',anim,999,735,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Layers/gramofon layer.png',0,0,32,38,1,0)
	anim:SetHotSpot(16,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gramofon layer',anim,401,454,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Layers/polotence layer.png',0,0,22,35,1,0)
	anim:SetHotSpot(11,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('polotence layer',anim,917,81,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Layers/pyzur pyzur.png',0,0,40,45,1,0)
	anim:SetHotSpot(20,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pyzur pyzur',anim,868,42,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('altar_inventory_active_zone',anim,883,660,107,0,16,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('altar_zoom_active_zone',anim,885,656,100,0,16,8)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/NoShadow/treugolnik1.png',0,0,44,43,1,0)
	anim:SetHotSpot(22,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('triangle_tool',anim,506,75,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/NoShadow/treugolnik1.png',0,0,44,43,1,0)
	anim:SetHotSpot(22,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('triangle_scaled',anim,890,340,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/circle1.png',0,0,42,29,1,0)
	anim:SetHotSpot(21,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('circle1_tool',anim,552,75,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/circle2.png',0,0,59,32,1,0)
	anim:SetHotSpot(29,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('circle2_tool',anim,600,78,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Zoom/zoom_back.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_back',anim,512,384,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Zoom/sign.png',0,0,219,114,1,0)
	anim:SetHotSpot(109,57)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sign',anim,516,373,304,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Layers/svitok layer.png',0,0,31,45,1,0)
	anim:SetHotSpot(15,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('svitok layer',anim,312,689,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Animations/nz.dds',0,0,278,96,14,5)
	anim:SetHotSpot(139,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('nz',anim,484,628,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Animations/otkr.dds',0,0,192,125,24,8)
	anim:SetHotSpot(96,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('otkr',anim,888,611,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Animations/lv/lev luch1.png',0,0,301,383,1,0)
	anim:SetHotSpot(150,191)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lev luch1',anim,334,442,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Animations/lv/lev luch.png',0,0,301,383,1,0)
	anim:SetHotSpot(150,191)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lev luch',anim,307,438,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Animations/pr/prav luch1.png',0,0,297,378,1,0)
	anim:SetHotSpot(148,189)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('prav luch1',anim,748,403,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Animations/pr/prav luch .png',0,0,297,378,1,0)
	anim:SetHotSpot(148,189)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('prav luch',anim,754,390,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/NoShadow/bookNS.png',0,0,32,25,1,0)
	anim:SetHotSpot(16,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bookNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/NoShadow/brushNS.png',0,0,46,25,1,0)
	anim:SetHotSpot(23,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brushNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/NoShadow/gramophoneNS.png',0,0,48,54,1,0)
	anim:SetHotSpot(24,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gramophoneNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/NoShadow/hatNS.png',0,0,37,31,1,0)
	anim:SetHotSpot(18,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hatNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/NoShadow/hourglassNS.png',0,0,43,43,1,0)
	anim:SetHotSpot(21,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglassNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/NoShadow/statueNS.png',0,0,58,72,1,0)
	anim:SetHotSpot(29,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('statueNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/Items/NoShadow/towelNS.png',0,0,39,106,1,0)
	anim:SetHotSpot(19,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('towelNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/32_cathedral_13/cigar32.png',0,0,70,57,1,0)
	anim:SetHotSpot(35,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar32',anim,441,699,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
